sc::R12Amplitudes Class Reference

R12Amplitudes gives the amplitudes of some linear-R12-ansatz-related terms in wave function. More...

`#include <r12_amps.h>`

Inheritance diagram for sc::R12Amplitudes:
[legend]
Collaboration diagram for sc::R12Amplitudes:
[legend]

## Public Member Functions

| R12Amplitudes (const RefSCMatrix &T2_aa, const RefSCMatrix &T2_ab, const RefSCMatrix &Rvv_aa, const RefSCMatrix &Rvv_ab, const RefSCMatrix &Roo_aa, const RefSCMatrix &Roo_ab, const RefSCMatrix &Rvo_aa, const RefSCMatrix &Rvo_ab, const RefSCMatrix &Rxo_aa, const RefSCMatrix &Rxo_ab)
const RefSCMatrix | T2_aa () const
const RefSCMatrix | T2_ab () const
const RefSCMatrix | Rvv_aa () const
const RefSCMatrix | Rvv_ab () const
const RefSCMatrix | Roo_aa () const
const RefSCMatrix | Roo_ab () const
const RefSCMatrix | Rvo_aa () const
const RefSCMatrix | Rvo_ab () const
const RefSCMatrix | Rxo_aa () const
const RefSCMatrix | Rxo_ab () const
Public Member Functions inherited from sc::RefCount
int | lock_ptr () const
| Lock this object.
int | unlock_ptr () const
| Unlock this object.
void | use_locks (bool inVal)
| start and stop using locks on this object
refcount_t | nreference () const
| Return the reference count.
refcount_t | reference ()
| Increment the reference count and return the new count.
refcount_t | dereference ()
| Decrement the reference count and return the new count.
int | managed () const
void | unmanage ()
| Turn off the reference counting mechanism for this object. More...
int | managed () const
| Return 1 if the object is managed. Otherwise return 0.
Public Member Functions inherited from sc::Identity
Identifier | identifier ()
| Return the Identifier for this argument. More...

## Additional Inherited Members

Protected Member Functions inherited from sc::RefCount
| RefCount (const RefCount &)
RefCount & | operator= (const RefCount &)

## Detailed Description

R12Amplitudes gives the amplitudes of some linear-R12-ansatz-related terms in wave function.

The first-order wave function terms which result from linear R12 terms are: Fij(1) = Cklij ( r12 |kl> - 0.5 rabkl |ab> - 0.5 rmnkl |mn> - ramkl |am> - ra'mkl |a'm> ) where C are optimal first-order coefficients and r are antisymmetrized integrals over r12 operator. Indices a, b are virtual MOs; m,n are occupied MOs; i, j, k, l are active occupied MOs, a' is an RI basis index.

The documentation for this class was generated from the following file:

- r12_amps.h